TAAS - Feature #262

Ledger Summary - Popup
07/09/2023 04:39 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 20:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ledger Summary - Popup

Description

Coding Ledger Summary

History

#1 - 07/09/2023 04:39 PM - Junaid M

- Assignee set to travvise Admin

#2 - 07/12/2023 11:59 AM - Anil KV

- Subject changed from Ledger Summary to Ledger Summary - Popup

- Module changed from Ledger Summary to Ledger Summary - Popup

#3 - 07/12/2023 01:54 PM - Anil KV

Solutions

1) SQL
THEN dbl_base_cur_debit ELSE 0 END))
dbl_base_cur_debit,
dbl_base_cur_credit,
dbl_ledg_cur_debit,
dbl_ledg_cur_credit
FROM transaction.tbl_transaction
WHERE fk_ledger_id =1
AND fk_branch_id =1
AND fk_department_id = 1) AS tmp
GROUP BY fk_main_ledger_id, vhr_ledg_currency;
-OB -> dbl_ledg_cur_ob_debit - dbl_ledg_cur_ob_credit, If > 0 then Dr, else Cr
-Debit -> dbl_ledg_cur_current_debit
-Credit —-> dbl_ledg_cur_current_credit
—After To Date Balance -> dbl_ledg_cur_after_current_debit - dbl_ledg_cur_after_current_credit, If > 0 then Dr
, else Cr
Closing Balance -> OB + (Debit-Credit) + After To Date Balance, If > 0 then Dr, else Cr

Base Currency Balance -> Total all recods -> (dbl_base_cur_ob_debit-dbl_base_cur_ob_credit) + (dbl_base_cur_cu
rrent_debit-dbl_base_cur_current_credit) + (dbl_base_cur_after_current_debit-dbl_base_cur_after_current_credit
), If > 0 then Dr, else Cr

#4 - 07/12/2023 01:55 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Christy Saint

- % Done changed from 0 to 10

#5 - 07/13/2023 05:06 PM - Christy Saint
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 07/20/2023 09:49 AM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 08/07/2023 05:44 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ISSUE IN SELECTING STATUS MISSING WHILE SEARCH

#8 - 08/08/2023 10:55 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 03/09/2024 02:40 PM - Junaid M
- Assignee changed from Christy Saint to Vivekp V

GUI CHANGES

1) Increase Hight of pop-up (Extra 2 row space)
2) Swap Column position (After To Date Balance and Closing Balance)

#10 - 03/09/2024 02:40 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#11 - 03/11/2024 04:22 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

05/03/2025 2/5



GUI CHANGES DONE

1) Increase Hight of pop-up (Extra 2 row space)
2) Swap Column position (After To Date Balance and Closing Balance)

#12 - 04/06/2024 10:29 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADD NO DATA FOUND MESSAGE
2.SHOW DATA AS PER THE SELECTED STATUS IN POP UP BOX

#13 - 04/06/2024 11:06 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ADD NO DATA FOUND MESSAGE
2.SHOW DATA AS PER THE SELECTED STATUS IN POP UP BOX

#14 - 04/06/2024 03:34 PM - unnikannan S
TESTING DONE

#15 - 06/10/2024 01:22 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Expand/Collapse Toolbar In Grid

#16 - 06/11/2024 03:47 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Show Expand/Collapse Toolbar In Grid

#17 - 06/11/2024 05:29 PM - unnikannan S
TESTING DONE

#18 - 08/28/2024 05:15 PM - Junaid M

- Status changed from Reopen Bugs Coding Done to New Changes
- Assignee changed from Vivekp V to Meljo Sunny

- % Done changed from 70 to 50

GUI Changes

1. Apply Gui changes (Based New GUI Photo) 2 tab - account search, ledger summary.
2. After Gui change integrate ledger summary pop-up in Sale, Refund, Pv, Rv...in Posting modules.

3. Review the changes-ask junaid

4. Core modules like sale, refund, rv, pv integration do assigneees, rest meljo do the connection

#19 - 09/04/2024 09:40 AM - Meljo Sunny
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
#20 - 09/04/2024 09:42 AM - Meljo Sunny
- Status changed from New Changes Coding Done to Particialy Coding Done
- % Done changed from 70 to 40

#21 - 09/18/2024 02:58 PM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUNDED

1.Clear The Negative Symbol From After To Date Column Need Only DR/CR
#22 - 09/21/2024 10:17 AM - Meljo Sunny

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 10/22/2024 11:32 AM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee deleted (Meljo Sunny)

- % Done changed from 70 to 50

ISSUE FOUND

1. The ledger summary tab should be in default expand.

2. In the ledger balance field data should show for each currency that ledger used which is separated with a comma.

3. Add a check box with label---outstanding, in default- untick.
4. If the outstanding check box is ticked then the debit, credit column should be showing the outstanding values.

#24 - 10/22/2024 05:20 PM - Arathy PS

- Assignee set to Junaid M

#25 - 11/06/2024 01:27 PM - Junaid M

- Assignee changed from Junaid M to Sreeranjini T

#26 - 11/07/2024 09:48 AM - Sreeranjini T

- Status changed from Reopen Bugs to New Changes

#27 - 11/07/2024 05:58 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#28 - 02/19/2025 04:26 PM - Arathy PS
- File clipboard-202502191624-rvkbq.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Data not showing in the note and general tab for own bank ledger.
LeCpan LS

Account Search/Ledger Summary

Account Search ~ Ledger Summary

Transaction Date® | 18/02/2025 @ (| 1902205 a8
Ledger' | BNKOOT | ICICI

Status™ | Active (Posting Status) % Active (Document Status) % -

Ledger Summary  Note  General

Display Name
Phone

Status

#29 - 02/20/2025 07:20 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 03/12/2025 03:48 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Address not showing in the account search tab.
2. Not showing all datas while search using start of customer code.

#31 - 03/14/2025 10:18 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Branch Branch1 % 2more %
-
